﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="LineStyleControl.xaml.cs" company="Freie Universität Berlin">
//   ************************************************************************
//   Viana.NET - video analysis for physics education
//   Copyright (C) 2012 Dr. Adrian Voßkühler  
//   ------------------------------------------------------------------------
//   This program is free software; you can redistribute it and/or modify it 
//   under the terms of the GNU General Public License as published by the 
//   Free Software Foundation; either version 2 of the License, or 
//   (at your option) any later version.
//   This program is distributed in the hope that it will be useful, 
//   but WITHOUT ANY WARRANTY; without even the implied warranty of 
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//   See the GNU General Public License for more details.
//   You should have received a copy of the GNU General Public License 
//   along with this program; if not, write to the Free Software Foundation, 
//   Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//   ************************************************************************
// </copyright>
// <summary>
//   Interaction logic for LineStyleControl.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace VianaNET
{
  using System.Windows.Media;

  /// <summary>
  /// Interaction logic for LineStyleControl.xaml
  /// </summary>
  public partial class LineStyleControl
  {
    /// <summary>
    /// Initializes a new instance of the <see cref="LineStyleControl"/> class.
    /// </summary>
    public LineStyleControl()
    {
      InitializeComponent();
    }

    /// <summary>
    /// The color picker selected color changed.
    /// </summary>
    /// <param name="sender">
    /// The sender.
    /// </param>
    /// <param name="e">
    /// The e.
    /// </param>
    private void ColorPickerSelectedColorChanged(object sender, System.Windows.RoutedPropertyChangedEventArgs<Color> e)
    {
      this.theorieLine.Stroke = new SolidColorBrush(this.ColorPicker.SelectedColor);
    }
  }
}
