﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AxisType.cs" company="Freie Universität Berlin">
//   ************************************************************************
//   Viana.NET - video analysis for physics education
//   Copyright (C) 2012 Dr. Adrian Voßkühler  
//   ------------------------------------------------------------------------
//   This program is free software; you can redistribute it and/or modify it 
//   under the terms of the GNU General Public License as published by the 
//   Free Software Foundation; either version 2 of the License, or 
//   (at your option) any later version.
//   This program is distributed in the hope that it will be useful, 
//   but WITHOUT ANY WARRANTY; without even the implied warranty of 
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
//   See the GNU General Public License for more details.
//   You should have received a copy of the GNU General Public License 
//   along with this program; if not, write to the Free Software Foundation, 
//   Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//   ************************************************************************
// </copyright>
// <author>Dr. Adrian Voßkühler</author>
// <email>adrian@vosskuehler.name</email>
// <summary>
//   The axis type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------
namespace VianaNET.CustomStyles.Types
{
  /// <summary>
  ///   The axis type.
  /// </summary>
  public enum AxisType
  {
    /// <summary>
    ///   The i.
    /// </summary>
    I, 

    /// <summary>
    ///   The t.
    /// </summary>
    T, 

    /// <summary>
    ///   The x.
    /// </summary>
    X, 

    /// <summary>
    ///   The y.
    /// </summary>
    Y, 

    /// <summary>
    ///   The px.
    /// </summary>
    PX, 

    /// <summary>
    ///   The py.
    /// </summary>
    PY, 

    /// <summary>
    ///   The d.
    /// </summary>
    D, 

    /// <summary>
    ///   The dx.
    /// </summary>
    DX, 

    /// <summary>
    ///   The dy.
    /// </summary>
    DY, 

    /// <summary>
    ///   The s.
    /// </summary>
    S, 

    /// <summary>
    ///   The sx.
    /// </summary>
    SX, 

    /// <summary>
    ///   The sy.
    /// </summary>
    SY, 

    /// <summary>
    ///   The v.
    /// </summary>
    V, 

    /// <summary>
    ///   The vx.
    /// </summary>
    VX, 

    /// <summary>
    ///   The vy.
    /// </summary>
    VY, 

    /// <summary>
    ///   The vi.
    /// </summary>
    VI, 

    /// <summary>
    ///   The vxi.
    /// </summary>
    VXI, 

    /// <summary>
    ///   The vyi.
    /// </summary>
    VYI, 

    /// <summary>
    ///   The a.
    /// </summary>
    A, 

    /// <summary>
    ///   The ax.
    /// </summary>
    AX, 

    /// <summary>
    ///   The ay.
    /// </summary>
    AY, 

    /// <summary>
    ///   The ai.
    /// </summary>
    AI, 

    /// <summary>
    ///   The axi.
    /// </summary>
    AXI, 

    /// <summary>
    ///   The ayi.
    /// </summary>
    AYI
  }
}